#import <sys/types.h>
#import <stddef.h>
#import "CD_DBaseSubs.h"

    /* This subroutine has information for CD's with 9 tracks, and
     * which have under 40 minutes of music on them.
     */

#define JFOGER_CENTERFIELD     769235014 /* key parts = 2136.57.09.214 329 */
#define BENATAR_PRECIOUSTIME   775393489 /* key parts = 2153.65.09.289 231 */
#define ELO_NEWWORLDRECORD     785833352 /* key parts = 2182.65.09.302 334 */
#define TPH_DAMNTORP_UD        793220602 /* key parts = 2203.29.09.202 354 */
#define TPH_DAMNTORP_MCA       797195003 /* key parts = 2214.32.09.203 357 */
#define ORCHMAN_ARCHITECTURE   800771000 /* key parts = 2224.27.09.200 225 */
#define BSPRING_GREETINGS      804538954 /* key parts = 2234.62.09.304 193 */
#define BENATAR_SEVENHARDWAY   809161460 /* key parts = 2247.50.09.260 240 */
#define APP_PYRAMID            816001401 /* key parts = 2266.50.09.51 335 */
#define SNIFFN_GAMEUP          825351833 /* key parts = 2292.48.09.233 372 */
#define ECLAP_ANOTHERTIC_POLY  839650958 /* key parts = 2332.27.09.158 305 */
#define ASTEW_YEAROFTHECAT     843601357 /* key parts = 2343.25.09.307 398 */
#define ECLAP_SLOWHAND_POLY    847873421 /* key parts = 2355.15.09.221 287 */
#define ECLAP_SLOWHAND_RSO     849937423 /* key parts = 2360.70.09.223 289 */
#define APP_EVE                850681356 /* key parts = 2363.00.09.306 344 */
#define ECLAP_SLOWHAND_UD      851075022 /* key parts = 2364.07.09.222 290 */
#define BARCLAYJ_EVERYONEIS    852639757 /* key parts = 2368.33.09.307 308 */
#define EAGLES_LIVE_D2         852755018 /* key parts = 2368.57.09.218 322 */
#define CALL_RECONCILED        859705461 /* key parts = 2388.05.09.261 281 */
#define TPHEART_SOUTHACCENTS   860866971 /* key parts = 2391.22.09.321 244 */
#define MOLDFIELD_QE2          861625367 /* key parts = 2393.30.09.617 75 */
#define JBECK_GUITARSHOP       862921353 /* key parts = 2397.00.09.303 186 */
#define BARCLAYJ_GONETOEARTH   863122959 /* key parts = 2397.42.09.309 188 */
#define ORCHMAN_ORGANIZATION   863963013 /* key parts = 2399.67.09.213 398 */


void filltoc09_00(tocPtr, cdKey)
struct cd_toc *tocPtr;
u_int cdKey;
{

    if ( cdKey == APP_PYRAMID ) { /* 0:37:46-50 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Pyramid";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 00.51, "Voyager  [instrumental]");
	SET_CDtt( 2, 04.39, "What Goes Up...");
	SET_CDtt( 3, 04.46, "The Eagle Will Rise Again");
	SET_CDtt( 4, 04.08, "One More River");
	SET_CDtt( 5, 05.11, "Can't Take It With You");
	SET_CDtt( 6, 05.30, "In The Lap Of The Gods  [instrumental]");
	SET_CDtt( 7, 02.43, "Pyramania");
	SET_CDtt( 8, 04.21, "Hyper-Gamma-Spaces  [instrumental]");
	SET_CDtt( 9, 05.35, "Shadow Of A Lonely Man");
#     endif
	}
    if ( cdKey == APP_EVE ) { /* 0:39:23-00 */
	tocPtr->discPerformer = "Alan Parsons Project";
	tocPtr->discTitle = "Eve";
#     if !defined(SKIPSONGS_Alan_Parsons_Project)
	SET_CDtt( 1, 05.06, "Lucifer");
	SET_CDtt( 2, 03.48, "You Lie Down With Dogs");
	SET_CDtt( 3, 03.54, "I'd Rather Be A Man");
	SET_CDtt( 4, 03.35, "You Won't Be There");
	SET_CDtt( 5, 04.04, "Winding Me Up");
	SET_CDtt( 6, 04.50, "Damned If I Do");
	SET_CDtt( 7, 03.38, "Don't Hold Back");
	SET_CDtt( 8, 04.42, "Secret Garden");
	SET_CDtt( 9, 05.44, "If I Could Change Your Mind");
#     endif
	}
    if ( cdKey == BARCLAYJ_EVERYONEIS ) { /* 0:39:28-33 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Everyone is Everybody Else";
	tocPtr->discCatNum = "004228334482200";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 05.07, "Child of the Universe");
	SET_CDtt( 2, 05.33, "Negative Earth");
	SET_CDtt( 3, 04.19, "Paper Wings");
	SET_CDtt( 4, 04.39, "The Great 1974 Mining Disaster");
	SET_CDtt( 5, 04.10, "Crazy City");
	SET_CDtt( 6, 04.37, "See Me See You");
	SET_CDtt( 7, 03.05, "Poor Boy Blues");
	SET_CDtt( 8, 02.48, "Mill Boys");
	SET_CDtt( 9, 05.08, "For No One");
#     endif
	}
    if ( cdKey == BARCLAYJ_GONETOEARTH ) { /* 0:39:57-42 */
	tocPtr->discPerformer = "Barclay James Harvest";
	tocPtr->discTitle = "Gone To Earth";
	tocPtr->discCatNum = "325918000922900";
#     if !defined(SKIPSONGS_Barclay_James_Harvest)
	SET_CDtt( 1, 05.09, "Hymn");
	SET_CDtt( 2, 04.06, "Love Is Like a Violin");
	SET_CDtt( 3, 03.33, "Friend of Mine");
	SET_CDtt( 4, 06.58, "Poor Man's Moody Blues");
	SET_CDtt( 5, 04.28, "Hard Hearted Woman");
	SET_CDtt( 6, 04.06, "Sea of Tranquility");
	SET_CDtt( 7, 04.52, "Spirit on the Water");
	SET_CDtt( 8, 03.35, "Leper's Song");
	SET_CDtt( 9, 03.08, "Taking Me Higher");
#     endif
	}
    if ( cdKey == JBECK_GUITARSHOP ) { /* 0:39:57-00 */
	tocPtr->discPerformer = "Jeff Beck";
	tocPtr->discTitle = "Jeff Beck's Guitar Shop with Terry Bozzio and Tony Hymas";
#     if !defined(SKIPSONGS_Jeff_Beck)
	SET_CDtt( 1, 05.03, "Guitar Shop");
	SET_CDtt( 2, 03.53, "Savoy");
	SET_CDtt( 3, 04.56, "Behind the Veil");
	SET_CDtt( 4, 04.10, "Big Block");
	SET_CDtt( 5, 03.17, "Where Were You");
	SET_CDtt( 6, 05.00, "Stand on It");
	SET_CDtt( 7, 05.04, "Day in the House");
	SET_CDtt( 8, 05.26, "Two Rivers");
	SET_CDtt( 9, 03.06, "Sling Shot");
#     endif
	}
    if ( cdKey == BENATAR_PRECIOUSTIME ) { /* 0:35:53-65 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Precious Time";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 04.49, "Promises In The Dark");
	SET_CDtt( 2, 03.21, "Fire And Ice");
	SET_CDtt( 3, 03.31, "Just Like Me");
	SET_CDtt( 4, 06.07, "Precious Time");
	SET_CDtt( 5, 03.19, "It's A Tuff Life");
	SET_CDtt( 6, 02.50, "Take It Anyway You Like It");
	SET_CDtt( 7, 04.36, "Evil Genius");
	SET_CDtt( 8, 03.27, "Hard To Believe");
	SET_CDtt( 9, 03.51, "Helter Skelter");
#     endif
	}
    if ( cdKey == BENATAR_SEVENHARDWAY ) { /* 0:37:27-50 */
	tocPtr->discPerformer = "Pat Benatar";
	tocPtr->discTitle = "Seven the Hard Way";
#     if !defined(SKIPSONGS_Pat_Benatar)
	SET_CDtt( 1, 04.20, "Sex As A Weapon");
	SET_CDtt( 2, 05.12, "Le Bel Age");
	SET_CDtt( 3, 04.42, "Walking In The Underground");
	SET_CDtt( 4, 02.43, "Big Life");
	SET_CDtt( 5, 03.54, "Red Vision");
	SET_CDtt( 6, 03.36, "7 Rooms Of Gloom");
	SET_CDtt( 7, 04.29, "Run Between The Raindrops");
	SET_CDtt( 8, 04.29, "Invincible (theme from The Legend Of Billie Jean)");
	SET_CDtt( 9, 04.00, "The Art Of Letting Go");
#     endif
	}
    if ( cdKey == CALL_RECONCILED ) { /* 0:39:48-05 */
	tocPtr->discPerformer = "The Call";
	tocPtr->discTitle = "Reconciled";
	tocPtr->discCatNum = "007559604402800";
#     if !defined(SKIPSONGS_The_Call)
	SET_CDtt( 1, 04.21, "Everywhere I Go");
	SET_CDtt( 2, 05.32, "I Still Believe (Great Design)");
	SET_CDtt( 3, 03.46, "Blood Red (America)");
	SET_CDtt( 4, 04.44, "The Morning");
	SET_CDtt( 5, 04.20, "Oklahoma");
	SET_CDtt( 6, 04.06, "With or Without Reason");
	SET_CDtt( 7, 04.01, "Sanctuary");
	SET_CDtt( 8, 04.15, "Tore The Old Place Down");
	SET_CDtt( 9, 04.41, "Even Now");
#     endif
	}
    if ( cdKey == ECLAP_SLOWHAND_RSO ) { /* 0:39:20-70 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Slowhand  [RSO]";
	tocPtr->discCatNum = "004228232762800";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 03.43, "Cocaine");
	SET_CDtt( 2, 03.45, "Wonderful Tonight");
	SET_CDtt( 3, 03.56, "Lay Down Sally");
	SET_CDtt( 4, 04.01, "Next Time You See Her");
	SET_CDtt( 5, 02.35, "We're All the Way");
	SET_CDtt( 6, 08.45, "The Core");
	SET_CDtt( 7, 03.02, "May You Never");
	SET_CDtt( 8, 04.42, "Mean Old Frisco");
	SET_CDtt( 9, 04.49, "Peaches and Diesel");
#     endif
	}
    if ( cdKey == ECLAP_SLOWHAND_UD ) { /* 0:39:24-07 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Slowhand  [UltraDisc]";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 03.42, "Cocaine");
	SET_CDtt( 2, 03.46, "Wonderful Tonight");
	SET_CDtt( 3, 03.56, "Lay Down Sally");
	SET_CDtt( 4, 04.02, "Next Time You See Her");
	SET_CDtt( 5, 02.34, "We're All the Way");
	SET_CDtt( 6, 08.47, "The Core");
	SET_CDtt( 7, 03.02, "May You Never");
	SET_CDtt( 8, 04.42, "Mean Old Frisco");
	SET_CDtt( 9, 04.50, "Peaches and Diesel");
#     endif
	}
    if ( cdKey == ECLAP_SLOWHAND_POLY ) { /* 0:39:15-15 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Slowhand  [Polydor]";
	tocPtr->discCatNum = "073145318252300";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 03.41, "Cocaine");
	SET_CDtt( 2, 03.45, "Wonderful Tonight");
	SET_CDtt( 3, 03.56, "Lay Down Sally");
	SET_CDtt( 4, 04.02, "Next Time You See Her");
	SET_CDtt( 5, 02.33, "We're All the Way");
	SET_CDtt( 6, 08.45, "The Core");
	SET_CDtt( 7, 03.02, "May You Never");
	SET_CDtt( 8, 04.42, "Mean Old Frisco");
	SET_CDtt( 9, 04.47, "Peaches and Diesel");
#     endif
	}
    if ( cdKey == ECLAP_ANOTHERTIC_POLY ) { /* 0:38:52-27 */
	tocPtr->discPerformer = "Eric Clapton";
	tocPtr->discTitle = "Another Ticket  [Polydor]";
	tocPtr->discCatNum = "073145318302500";
#     if !defined(SKIPSONGS_Eric_Clapton)
	SET_CDtt( 1, 02.38, "Something Special");
	SET_CDtt( 2, 03.46, "Black Rose");
	SET_CDtt( 3, 02.59, "Blow Wind Blow");
	SET_CDtt( 4, 05.44, "Another Ticket");
	SET_CDtt( 5, 04.10, "I Can't Stand It");
	SET_CDtt( 6, 03.28, "Hold Me Lord");
	SET_CDtt( 7, 06.34, "Floating Bridge");
	SET_CDtt( 8, 04.26, "Catch Me If You Can");
	SET_CDtt( 9, 05.05, "Rita Mae");
#     endif
	}
    if ( cdKey == EAGLES_LIVE_D2 ) { /* 0:39:28-57 */
	tocPtr->discPerformer = "Eagles";
	tocPtr->discTitle = "Eagles Live  [disc 2]";
	tocPtr->discCatNum = "007559007052800";
#     if !defined(SKIPSONGS_Eagles)
	SET_CDtt( 1, 03.38, "Seven Bridges Road");
	SET_CDtt( 2, 05.37, "Wasted Time");
	SET_CDtt( 3, 05.14, "Take It To The Limit");
	SET_CDtt( 4, 00.42, "DoolinDalton (Reprise II)");
	SET_CDtt( 5, 04.01, "Desperado");
	SET_CDtt( 6, 04.08, "Saturday Night");
	SET_CDtt( 7, 05.34, "All Night Long");
	SET_CDtt( 8, 05.10, "Life in the Fast Lane");
	SET_CDtt( 9, 05.22, "Take It Easy");
#     endif
	}
    if ( cdKey == ELO_NEWWORLDRECORD ) { /* 0:36:22-65 */
	tocPtr->discPerformer = "Electric Light Orchestra";
	tocPtr->discTitle = "A New World Record";
#     if !defined(SKIPSONGS_Electric_Light_Orchestra)
	SET_CDtt( 1, 05.02, "Tightrope");
	SET_CDtt( 2, 04.39, "Telephone Line");
	SET_CDtt( 3, 03.12, "Rockaria!");
	SET_CDtt( 4, 04.26, "Mission (A World Record)");
	SET_CDtt( 5, 03.55, "So Fine");
	SET_CDtt( 6, 03.31, "Livin' Thing");
	SET_CDtt( 7, 02.17, "Above the Clouds");
	SET_CDtt( 8, 03.44, "Do Ya");
	SET_CDtt( 9, 05.34, "Shangri-la");
#     endif
	}
    if ( cdKey == JFOGER_CENTERFIELD ) { /* 0:35:36-57 */
	tocPtr->discPerformer = "John Fogerty";
	tocPtr->discTitle = "Centerfield";
	tocPtr->discCatNum = "007599252032400";
	SET_CDtt( 1, 03.34, "The Old Man Down the Road");
	SET_CDtt( 2, 03.28, "Rock and Roll Girls");
	SET_CDtt( 3, 02.58, "Big Train (from Memphis)");
	SET_CDtt( 4, 04.20, "I Saw it On T.V.");
	SET_CDtt( 5, 04.08, "Mr. Greed");
	SET_CDtt( 6, 04.31, "Searchlight");
	SET_CDtt( 7, 03.51, "Centerfield");
	SET_CDtt( 8, 03.15, "I Can't Help Myself");
	SET_CDtt( 9, 05.29, "Zanz Can't Danz");
	}
    if ( cdKey == MOLDFIELD_QE2 ) { /* 0:39:53-30 */
	tocPtr->discPerformer = "Mike Oldfield";
	tocPtr->discTitle = "Q.E.2";
#     if !defined(SKIPSONGS_Mike_Oldfield)
	SET_CDtt( 1, 10.17, "Taurus 1");
	SET_CDtt( 2, 03.34, "Sheba");
	SET_CDtt( 3, 02.54, "Conflict");
	SET_CDtt( 4, 02.48, "Arrival");
	SET_CDtt( 5, 03.39, "Wonderful Land");
	SET_CDtt( 6, 04.40, "Mirage");
	SET_CDtt( 7, 07.38, "Q.E.2/ Q.E.2 Finale");
	SET_CDtt( 8, 03.06, "Celt");
	SET_CDtt( 9, 01.15, "Molly");
#     endif
	}
    if ( cdKey == ORCHMAN_ORGANIZATION ) { /* 0:39:59-67 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "Organization";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 03.33, "Enola Gay");
	SET_CDtt( 2, 04.15, "2nd Thought");
	SET_CDtt( 3, 03.51, "VCL XI");
	SET_CDtt( 4, 03.17, "Motion and Heart");
	SET_CDtt( 5, 04.28, "Statues");
	SET_CDtt( 6, 04.53, "The Misunderstanding");
	SET_CDtt( 7, 04.12, "The More I See You");
	SET_CDtt( 8, 04.50, "Promise");
	SET_CDtt( 9, 06.38, "Stanlow");
#     endif
	}
    if ( cdKey == ORCHMAN_ARCHITECTURE ) { /* 0:37:04-27 */
	tocPtr->discPerformer = "Orchestral Manoeuvres in the Dark";
	tocPtr->discTitle = "Architecture and Morality";
#     if !defined(SKIPSONGS_Orchestral_Manoeuvres_in_the_Dark)
	SET_CDtt( 1, 03.20, "The New Stone Age");
	SET_CDtt( 2, 03.29, "She's Leaving");
	SET_CDtt( 3, 03.38, "Souvenir");
	SET_CDtt( 4, 07.45, "Sealand");
	SET_CDtt( 5, 03.50, "Joan of Arc");
	SET_CDtt( 6, 04.13, "Joan of Arc (Maid of Orleans)");
	SET_CDtt( 7, 03.40, "Architecture and Morality");
	SET_CDtt( 8, 03.22, "Georgia");
	SET_CDtt( 9, 03.45, "The Beginning and The End");
#     endif
	}
    if ( cdKey == TPH_DAMNTORP_MCA ) { /* 0:36:54-32 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Damn the Torpedoes  [MCA]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.23, "Refugee");
	SET_CDtt( 2, 04.29, "Here Comes My Girl");
	SET_CDtt( 3, 04.01, "Even the Losers");
	SET_CDtt( 4, 04.27, "Shadow of a Doubt (A Complex Kid)");
	SET_CDtt( 5, 03.46, "Century City");
	SET_CDtt( 6, 02.45, "Don't Do Me Like That");
	SET_CDtt( 7, 04.37, "You Tell Me");
	SET_CDtt( 8, 03.27, "What Are You Doin' In My Life?");
	SET_CDtt( 9, 05.57, "Louisiana Rain");
#     endif
	}
    if ( cdKey == TPH_DAMNTORP_UD ) { /* 0:36:43-29 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Damn the Torpedoes  [UltraDisc]";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 03.22, "Refugee");
	SET_CDtt( 2, 04.28, "Here Comes My Girl");
	SET_CDtt( 3, 04.00, "Even the Losers");
	SET_CDtt( 4, 04.26, "Shadow of a Doubt (A Complex Kid)");
	SET_CDtt( 5, 03.45, "Century City");
	SET_CDtt( 6, 02.45, "Don't Do Me Like That");
	SET_CDtt( 7, 04.35, "You Tell Me");
	SET_CDtt( 8, 03.26, "What Are You Doin' In My Life?");
	SET_CDtt( 9, 05.54, "Louisiana Rain");
#     endif
	}
    if ( cdKey == TPHEART_SOUTHACCENTS ) { /* 0:39:51-22 */
	tocPtr->discPerformer = "Tom Petty and the HeartBreakers";
	tocPtr->discTitle = "Southern Accents";
#     if !defined(SKIPSONGS_Tom_Petty)
	SET_CDtt( 1, 05.21, "Rebels");
	SET_CDtt( 2, 05.11, "It Ain't Nothin' To Me");
	SET_CDtt( 3, 05.07, "Don't Come Around Here No More");
	SET_CDtt( 4, 04.43, "Southern Accents");
	SET_CDtt( 5, 04.24, "Make It Better (Forget About Me)");
	SET_CDtt( 6, 03.32, "Spike");
	SET_CDtt( 7, 03.40, "Dogs On The Run");
	SET_CDtt( 8, 03.47, "Mary's New Car");
	SET_CDtt( 9, 04.04, "The Best Of Everything");
#     endif
	}
    if ( cdKey == SNIFFN_GAMEUP ) { /* 0:38:12-48 */
	tocPtr->discPerformer = "Sniff 'n' the Tears";
	tocPtr->discTitle = "The Game Is Up";
	tocPtr->discCatNum = "004228238292400";
#     if !defined(SKIPSONGS_Sniff_n_the_Tears)
	SET_CDtt( 1, 03.53, "The Game's Up");
	SET_CDtt( 2, 03.13, "Moment of Weakness");
	SET_CDtt( 3, 03.18, "What Can Daddy Do");
	SET_CDtt( 4, 03.54, "Nightlife");
	SET_CDtt( 5, 04.55, "If I Knew Then");
	SET_CDtt( 6, 03.21, "One Love");
	SET_CDtt( 7, 04.40, "5 & Zero");
	SET_CDtt( 8, 04.44, "Poison Pen Mail");
	SET_CDtt( 9, 06.12, "Rodeo Drive");
#     endif
	}
    if ( cdKey == BSPRING_GREETINGS ) { /* 0:37:14-62 */
	tocPtr->discPerformer = "Bruce Springsteen";
	tocPtr->discTitle = "Greetings From Asbury Park, N.J.";
#     if !defined(SKIPSONGS_Bruce_Springsteen)
	SET_CDtt( 1, 05.04, "Blinded By The Light");
	SET_CDtt( 2, 03.05, "Growin' Up");
	SET_CDtt( 3, 05.21, "Mary Queen of Arkansas");
	SET_CDtt( 4, 02.06, "Does This Bus Stop at 82cd Street?");
	SET_CDtt( 5, 05.18, "Lost In The Flood");
	SET_CDtt( 6, 03.25, "The Angel");
	SET_CDtt( 7, 04.40, "For You");
	SET_CDtt( 8, 05.00, "Spirit In The Night");
	SET_CDtt( 9, 03.13, "It's Hard To Be A Saint in the City");
#     endif
	}
    if ( cdKey == ASTEW_YEAROFTHECAT ) { /* 0:39:03-25 */
	tocPtr->discPerformer = "Al Stewart";
	tocPtr->discTitle = "Year of the Cat";
#     if !defined(SKIPSONGS_Al_Stewart)
	SET_CDtt( 1, 05.07, "Lord Grenville");
	SET_CDtt( 2, 03.23, "On the Border");
	SET_CDtt( 3, 03.13, "Midas Shadow");
	SET_CDtt( 4, 03.05, "Sand in Your Shoes");
	SET_CDtt( 5, 04.32, "If It Doesn't Come Naturally, Leave It");
	SET_CDtt( 6, 04.22, "Flying Sorcery");
	SET_CDtt( 7, 03.59, "Broadway Hotel");
	SET_CDtt( 8, 04.42, "One Stage Before");
	SET_CDtt( 9, 06.38, "Year of the Cat");
#     endif
	}
}


